<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');

$page_title = 'Поход';
require_once('conf/head.php');

 require_once('conf/top.php');

$user_id=abs(intval($_SESSION['id']));
$user=$dbc->query("SELECT * FROM `users` WHERE`id`='$user_id' LIMIT 1")->fetch_assoc();

switch($act) {

default;
$user_id=abs(intval($_SESSION['id']));
$user=$dbc->query("SELECT * FROM `users` WHERE`id`='$user_id' LIMIT 1")->fetch_assoc();

echo'<center><br><img src="/img/pohod.png"></center>';
	
if($user['pohod_time'] < time() && $user['pohod'] == 1)
{
if($user['pohod_start'] == '1'){$nagrada='300';}     #####Цены за  поход####
elseif($user['pohod_start'] == '2'){$nagrada='700';} #####Цены за  поход####
elseif($user['pohod_start'] == '3'){$nagrada='1100';} #####Цены за  поход####
elseif($user['pohod_start'] == '4'){$nagrada='2200';} #####Цены за  поход####
elseif($user['pohod_start'] == '5'){$nagrada='5000';} #####Цены за  поход####
echo "<center><div class='separ'></div>Поход окончен.<br>Награда:  <img src='/images/icon/silver.png'> $nagrada, </br><a class='btn' href='pohod.php'><span class='end'><span class='label'>Отправиться в поход</span></span></a></center>";
$pdo->exec("UPDATE `users` SET  `habar`=`habar`+'$nagrada',   `pohod` = '0', `pohod_time` = '0', `pohod_start` = '0' WHERE `id`='$user_id' LIMIT 1");
}
if($user['pohod'] == 0)
{
echo "<center><span class='blue'>В походе ты получишь <img src='/images/icon/silver.png' alt=''/> 
серебро. Чем дольше поход, тем больше награда!</span>";
echo "<form action='?act=go' method='POST'>";
echo"<select name='time' class='input'>
<option value='1'>30 мин</option>
<option value='2'>1 час</option>
<option value='3'>2 часа</option>
<option value='4'>4 часа</option>
<option value='5'>8 часов</option>
</select><br/>
<input class='label' type='submit' value='Отправиться в поход' /></form>";
echo'<form action="?act=go" method="post">Время в часах:<br/><input type="text" name="time" value="1"/><br/><input type="submit" value="Забанить"/>  </b></span></form></center>';


require_once('conf/navig.php');
require_once('conf/foot.php');
}


if($user['pohod_time'] > time())
{

if($user['pohod_time'] > time() && $user['pohod'] == 1)
{
$pohod_ostalos=$user['pohod_time']-time();
echo '<div class="player center">Вы отправились в поход.. <br>До конца осталось:
'.(int)($pohod_ostalos/3600).' час '.($pohod_ostalos/60%60).' мин. '.($pohod_ostalos%60).' сек.
';
echo"<div class='separ'></div><a class='btn' href='pohod.php'><span class='end'><span class='label'>Обновить</span></span></a></div>";
}
}

break;
case 'go':

$user['id']=abs(intval($_SESSION['id']));
$user=$dbc->query("SELECT * FROM `users` WHERE`id`='$user_id' LIMIT 1")->fetch_assoc();
$taxi_time = time()+3600+$_POST['time'];

$dbc->query("UPDATE `users` SET `pohod` = '1', `pohod_time` = '1',  `pohod_start` = '".$taxi_time."' WHERE `id` = '$user_id' LIMIT 1");
header('Location: ?');


break;
}
require_once('conf/navig.php');
require_once('conf/foot.php');
mysqli_close($dbc);
?>